"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var base_1 = require('./base');
var utils_1 = require('./utils');
var TemplateHtmlCompiler = (function (_super) {
    __extends(TemplateHtmlCompiler, _super);
    function TemplateHtmlCompiler() {
        _super.call(this, 'template-static-html-compiler');
    }
    TemplateHtmlCompiler.prototype.compileResultSize = function (result) {
        return result.length;
    };
    TemplateHtmlCompiler.prototype.compileOneFile = function (file) {
        return utils_1.minifyHtml(file.getContentsAsString());
    };
    /**
     * @param  {string} contents minified html
     * @return {string}          javascript code
     */
    TemplateHtmlCompiler.prototype.compileContents = function (file, contents) {
        return "module.exports = \"" + utils_1.clean(contents) + "\";";
    };
    TemplateHtmlCompiler.prototype.addCompileResult = function (file, result) {
        file.addJavaScript({
            data: this.compileContents(file, result),
            path: file.getPathInPackage(),
        });
    };
    return TemplateHtmlCompiler;
}(base_1.BaseHtmlCompiler));
exports.TemplateHtmlCompiler = TemplateHtmlCompiler;
;
//# sourceMappingURL=template.js.map